This repo contains all core `gulp` build tasks which can be configured and used in any FEAR projects alltogether or individually.

The tasks in this repo are provided in a factory function format for developer convenience, so you can use the functionality but can give any name to the task you create and configure it as much as the Core Task API makes it possible (see examples below).

### **Installation**

To use any of the provided Core gulp tasks, please install the module first:

```
$ npm install --save-dev fear-core-build
```
then to use:

```js
require('fear-core-build');
```

### **Usage**

`return gulp.task('inline-css', tasks.css.inline(sources, options));`

Most tasks use the above common api.

| Argument      | Description   |
|---------------|---------------|
|sources        |glob string or array of globs            |
|options        |destination {String} optionally supplied if output folder is different to inpit (e.g sass compiled to css folder|

See task documentation for additional properties that can be added to the options object

###**Further reading**

* [Website](http://digitalinnovation.github.io/fear-core-build)
* [Technical documentation](http://digitalinnovation.github.io/fear-core-build/docs/)
* [Wiki](https://github.com/DigitalInnovation/fear-core-build/wiki)
* [How to create a new core task](https://github.com/DigitalInnovation/fear-core-build/wiki/How-to-create-a-new-core-task)
* [Available Core tasks](https://github.com/DigitalInnovation/fear-core-build/wiki/Available-Core-tasks)

