'use strict';
var fs = require('fs');

/**
 * Read the contents of a given file
 * @param filePath {string} File path to the requested file
 * @returns {Promise<Buffer>} A promise that returns a buffer representing the file
 */
module.exports = function readFile(filePath) {
    return new Promise(function(resolve, reject) {
        fs.readFile(filePath, function(err, data) {
            if(err){
                reject(err);
            } else {
                resolve(data);
            }
        });
    });
};
